package sgc.portal.cs.cs0502.persistence;
import org.apache.ibatis.annotations.Mapper;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cs0502.dto.CS05020001USearch;
import sgc.portal.cs.cs0502.model.CS05020001U;

import java.util.List;

@Mapper
public interface CS05020001UMapper {
	
	//카테고리 트리 조회
	List<EasyHashMap<String, Object>> selectTcsDocTree(CS05020001USearch search);
	//카테고리 내역 조회
	List<EasyHashMap<String, Object>> selectTcsDocGrd(CS05020001USearch search);
	//카테고리 내역 조회
	List<EasyHashMap<String, Object>> selectTcsDocGrdY(CS05020001USearch search);
	
	//카테고리 내역 수정
	int insertTcsDoc(CS05020001U cS05020001U);
    int updateTcsDoc(CS05020001U cS05020001U);
    int deleteTcsDoc(CS05020001U cS05020001U);
	
}
